<button mat-button [matMenuTriggerFor]="beforeMenu" class="menu-icon">
  <mat-icon inline="true">person_outline</mat-icon>
</button>
<mat-menu #beforeMenu="matMenu" xPosition="before">
  <button mat-menu-item (click)="openDialog()">
    <mat-icon>vpn_key</mat-icon>
    {{ "header.change-password" | translate }}
  </button>
  <button mat-menu-item (click)="logout()">
    <mat-icon>exit_to_app</mat-icon>
    {{ "header.logout" | translate }}
  </button>
</mat-menu>
